The Ruby openssl extension was not compiled. Missing the OpenSSL lib?


RaspberryPi(Raspbian)にrbenvを使ってruby2.1.2をインストールしようとした際に上記エラーが発生しました。

RaspberryPiにRubyをインストールするのはかなり時間がかかるので、数時間待った後にエラーで失敗してるのはぐっと来るものがありますね。。。

sudo apt-get -y install openssl libssl-dev libreadline-dev

上記のライブラリをインストールして再度試したら無事にインストールできました。

参考